export interface OAuth2TokenVO {
    id: number
    accessToken: string
    refreshToken: string
    userId: number
    userType: number
    clientId: string
    createTime: Date
    expiresTime: Date
}

export interface OAuth2TokenPageReqVO extends PageParam {
    userId?: number
    userType?: number
    clientId?: string
}

export interface OAuth2ClientVO {
    id: number
    clientId: string
    secret: string
    name: string
    logo: string
    description: string
    status: number
    accessTokenValiditySeconds: number
    refreshTokenValiditySeconds: number
    redirectUris: string[]
    autoApprove: boolean
    authorizedGrantTypes: string[]
    scopes: string[]
    authorities: string[]
    resourceIds: string[]
    additionalInformation: string
    isAdditionalInformationJson: boolean
    createTime: Date
}

export interface OAuth2ClientPageReqVO extends PageParam {
    name?: string
    status?: number
}
