import React, { useState, useCallback, useRef, useMemo } from 'react';
import { Tabs, Card, Button } from 'antd';
import { KeepAliveTab, useTabs } from '@/hooks/use-tabs';
import { PlusOutlined } from '@ant-design/icons';
import type { TabsProps } from 'antd';
import Classify from './classify';
import Colors from './colors';
import Size from './size';

type TabKey = "1" | "2" | "3";

export default () => {
    const [currentKey, setCurrentKey] = useState<TabKey>("1");
    const [buttonText, setButtonText] = useState("新增分类");

    const { tabs } = useTabs();

    const classifyRef = useRef();
    const colorsRef = useRef();
    const sizeRef = useRef();

    const items = useMemo(() => {
        return [
            {
                key: '1',
                label: '商品分类',
                children: (<Classify ref={classifyRef} />),
            },
            {
                key: '2',
                label: '颜色设置',
                children: (<Colors ref={colorsRef} />),
            },
            {
                key: '3',
                label: '尺码设置',
                children: (<Size ref={sizeRef} />),
            },
        ];
    }, []);

    const onChange = (key: string) => {
        setCurrentKey(key as TabKey);
        setButtonText(key === "1" ? "新增分类" : (key === "2" ? "新增颜色" : "新增尺码"));
    };

    const onAdd = useCallback(() => {
        console.log(classifyRef);
        console.log(colorsRef);
        console.log(sizeRef);
        if (currentKey === "1") {

        } else if (currentKey === "2") {

        } else {

        }
    }, [classifyRef, colorsRef, sizeRef])

    return (
        <>
            <Card className='dark:bg-[rgb(33,41,70)] bg-white roundle-lg px[12px]'>
                <div className='static'>
                    <Tabs defaultActiveKey="1" onChange={onChange}
                        items={items}
                        tabPosition={"left"}
                    // tabBarExtraContent={{
                    //     right: <Button className="ml-5" type='primary' size='large' icon={<PlusOutlined />} onClick={onAdd}> {buttonText} </Button>
                    // }}
                    >
                    </Tabs>
                </div>
            </Card>
        </>
    );
};

