import React, { useState } from 'react';
import { Card } from 'antd';
import type { DictTypeVO } from '@/models'
import DictData from './dict-data';
import DictType from './dict-type';


export default () => {
    const [ currentDictType, setCurrentDictType ] = useState<DictTypeVO>()
    return (
        <>
            <div className='flex flex-row'>
                <Card className='basis-1/2 mb-[10px] dark:bg-[rgb(33,41,70)] bg-white roundle-lg px[12px]'
                    bodyStyle={{
                        paddingTop: 0,
                        paddingBottom: 0
                    }}>
                    <DictType 
                    onSelectDictType={(data) => setCurrentDictType(data)}/>
                </Card>
                <Card className='basis-1/2 mb-[10px] ml-[10px] dark:bg-[rgb(33,41,70)] bg-white roundle-lg px[12px]' bodyStyle={{
                    paddingTop: 0,
                    paddingBottom: 0
                }}>
                    <DictData 
                    data={currentDictType}/>
                </Card>
            </div>
        </>
    );
};
