import request from '@/request';
import {
    ApiErrorLogPageReqVO,
    ApiErrorLogExportReqVO,
    ApiErrorLogVO,
    ApiAccessLogPageReqVO,
    ApiAccessLogExportReqVO,
    ApiAccessLogVO,
    PageData
} from '@/models';

const BASE_URL = '/admin-api/infra/api-error-log';
const BASE_ACCESS_URL = '/admin-api/infra/api-access-log'

export default {
    // 查询列表API 访问日志
    getApiErrorLogPageApi: (params: ApiErrorLogPageReqVO) => {
        return request.get<PageData<ApiErrorLogVO>>(`${BASE_URL}/page`, { params })
    },

    // 更新 API 错误日志的处理状态
    updateApiErrorLogPageApi: (id: number, processStatus: number) => {
        return request.put(`${BASE_URL}/update-status?id=${id}&processStatus=${processStatus}`)
    },

    // 导出API 访问日志
    exportApiErrorLogApi: (params: ApiErrorLogExportReqVO) => {
        return request.get(`${BASE_URL}/export-excel`, { params, responseType: 'blob' })
    },


    // 查询列表API 访问日志
    getApiAccessLogPageApi: (params: ApiAccessLogPageReqVO) => {
        return request.get<PageData<ApiAccessLogVO>>(`${BASE_ACCESS_URL}/page`, { params })
    },

    // 导出API 访问日志
    exportApiAccessLogApi: (params: ApiAccessLogExportReqVO) => {
        return request.get(`${BASE_ACCESS_URL}/export-excel`, { params, responseType: 'blob' })
    }
}
