import request from '@/request';
import { DepartmentPageReqVO, DepartmentVO } from '@/models';

const BASE_URL = '/admin-api/system/dept';

export default {

    // 查询部门（精简)列表
    listSimpleDeptApi: () => {
        return request.get<DepartmentVO[]>(`${BASE_URL}/list-all-simple`);
    },

    // 查询部门列表
    getDeptPageApi: (params: DepartmentPageReqVO) => {
        return request.get<DepartmentVO[]>(`${BASE_URL}/list`, { params })
    },

    // 查询部门详情
    getDeptApi: (id: number) => {
        return request.get(`${BASE_URL}/get?id=${id}`);
    },

    // 新增部门
    createDeptApi: (data: DepartmentVO) => {
        return request.post(`${BASE_URL}/create`, data);
    },

    // 修改部门
    updateDeptApi: (data: DepartmentVO) => {
        return request.put(`${BASE_URL}/update`, data);
    },

    // 删除部门
    deleteDeptApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`);
    },

};


