import request from '@/request';
import { GoodsClassifyVO, GoodsClassifyPageReqVO, PageData } from '@/models';

const BASE_URL = '/admin-api/main/classify';

export default {

    // 更新商品分类
    updateGoodsClassifyApi: (data: GoodsClassifyVO) => {
        return request.put(`${BASE_URL}/update`, data);
    },

    // 创建商品分类
    createGoodsClassifyApi: (data: GoodsClassifyVO) => {
        return request.post(`${BASE_URL}/create`, data);
    },

    // 获得商品分类分页
    getGoodsClassifyPageApi: (params: GoodsClassifyPageReqVO) => {
        return request.get<PageData<GoodsClassifyVO>>(`${BASE_URL}/page`, { params });
    },

    // 查询商品分类详情
    getGoodsClassifyApi: (id: number) => {
        return request.get(`${BASE_URL}/get?id=${id}`);
    },

    // 删除商品分类
    deleteGoodsClassifyApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`);
    },

    // 商品分类名称唯一校验
    classifyNameVerifyUnique: (classifyName: string) => {
        return request.get(`${BASE_URL}/classifyNameVerifyUnique?classifyName=${classifyName}`);
    },
};
