import request from '@/request';
import { 
    TemplateInfoVO,
    TemplateInfoPageReqVO,
    PageData 
} from '@/models';

const BASE_URL = '/admin-api/template/platform';

export default {
    //获得模版分页
    pageApi: (params: TemplateInfoPageReqVO) => {
        return request.get<PageData<TemplateInfoVO>>(`${BASE_URL}/page`, { params });
    },

    //创建模版
    createApi: (data: TemplateInfoVO) => {
        return request.post(`${BASE_URL}`, data);
    },

    //修改模版
    updateApi: (data: TemplateInfoVO) => {
        return request.put(`${BASE_URL}`, data);
    },
    
    //获得模版
    getApi: (id: number) => {
        return request.get(`${BASE_URL}/get?id=${id}`);
    },

    //删除模版
    deleteApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`);
    },
}
