import request from '@/request';
import { DataDictVO, DataDictDetailVO } from '@/models';

const BASE_URL = '/admin-api/system/dict';

export default {

    createDictApi: (data: DataDictVO) => {
        return request.post(`${BASE_URL}/create`, data);
    },

    updateDictApi: (data: DataDictVO) => {
        return request.put(`${BASE_URL}/update`, data);
    },

    deleteDictApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`);
    },

    updateDictDetailApi: (data: DataDictDetailVO) => {
        return request.put(`${BASE_URL}/update`, data);
    },

    deleteDictDetailApi: (id: number) => {
        return request.delete(`${BASE_URL}/delete?id=${id}`);
    },

};
